Установка RailsInstaller RoR под Windows 7

Итак, Вам нужно установить Ruby On Rails под Windows 7?

Отлично, для этого существует замечательный кит Railsinstaller, которые помогает избежать траты времени и сил при установке SQL, Git и т.д….
Установили, ввели в консоль своё имя и e-mail – появляется куча ошибок в консоли, но RoR Вроде как установлен.

Проверяем:

rails new ProjectName

Создается проект (набор папочек и файлов) – обычно в C:/Sites
Пробуем зайти на http://localhost:3000 и… страница не найдена.
пишем в консоли

cd Project name

Затем оказываемся в папке C:/Sites/Projectname
пишем:

rails server

Консоль выводит нам:

←[31mCould not find gem 'jquery-rails (= 2.0.0) x86-mingw32' in any of the gem sources listed in your Gemfile.←[0m
←[33mRun `bundle install` to install missing gems.←[0m

Скачиваем гемы bundle и jquery-rails с сайта http://rubygems.org/
Дальше самое важное!
1) Закидываем скачанные файлы в папку C:/Users/USERNAME – где USERNAME – имя вашего профиля в Windows.
2) Пишем в консоли SET HOME=%USERPROFILE% (где USERPROFILE = USERNAME = имя вашего профиля в системе – на кириллице не проверял (лучше используйте латиницу для имени своего профиля).
3) пишем в консоли:

gem install bundle
После его установки пишем:
gem install jquery-rails

4) Все! После установки гема выполняем команду rails server из папки нашего проекта и заходим на Localhost:3000

Поделиться с друзьями

Френдинг

 

Comments: 8

Leave a reply »

 
 
 

Спасибо, помогло.

 

Спасибо за помощь!!! Помогло! Это единственный пост в инете, который мне подошел.

 

Рад, что кому-то помогло.

 

Можно не закидывать в папки, а скачать все через консоль с помощью командной строки
gem install bundler –source http://rubygems.org

 

gem install jquery-rails:ошибка
ERROR: While executing gem … (Gem::DependencyError)
Unable to resolve dependencies: jquery-rails requires railties (>= 4.2.0), r
ails-dom-testing (~> 1.0)!!!

 

не могу не как понять на счет (C:/Users/USERNAME — где USERNAME — имя вашего )может кто не будь приведет пример

 

Имя вашего пользователя в Windows

 

очевидно, что нужно решить проблему с зависимостями библиотек – проверить версии, которые требует установщик

 

Leave a Reply

 
(will not be published)
 
 
Comment